# Uses of Class
org.apache.sling.testing.mock.sling.servlet.MockSlingHttpServletRequest

Packages that use MockSlingHttpServletRequest
Package
Description
org.apache.sling.testing.mock.sling.context
Sling context implementation for unit tests.

## Uses of MockSlingHttpServletRequest in org.apache.sling.testing.mock.sling.context

Fields in org.apache.sling.testing.mock.sling.context declared as MockSlingHttpServletRequest
Modifier and Type
Field
Description
`protected MockSlingHttpServletRequest`
SlingContextImpl.`request`
Deprecated.
Use jakartaRequest instead.
Methods in org.apache.sling.testing.mock.sling.context that return MockSlingHttpServletRequest
Modifier and Type
Method
Description
`final MockSlingHttpServletRequest`
SlingContextImpl.`request()`
Deprecated.
Use `SlingContextImpl.jakartaRequest()` instead.